# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "bdate"
version = "0.5.6"
authors = ["Digital-Defiance"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "BrightDate CLI — show the current BrightDate or convert between BrightDate and conventional dates"
homepage = "https://brightdate.org"
readme = "README.md"
keywords = [
    "time",
    "date",
    "cli",
    "brightdate",
    "j2000",
]
categories = [
    "command-line-utilities",
    "date-and-time",
]
license = "MIT"
repository = "https://github.com/Digital-Defiance/brightdate-rust"

[lib]
name = "bdate"
path = "src/lib.rs"

[[bin]]
name = "bdate"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[dependencies.brightdate]
version = "0.5.6"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "~4.5"
features = ["color"]

[dev-dependencies.assert_cmd]
version = "2"

[dev-dependencies.predicates]
version = "3"
